
/* region: css reset */

/* 1. Use a more-intuitive box-sizing model */
*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
}

@media (prefers-reduced-motion: no-preference) {
    html {
        interpolate-size: allow-keywords;
    }
}

body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}

img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

input, button, textarea, select {
    font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}

p {
    text-wrap: pretty;
}
h1, h2, h3, h4, h5, h6 {
    text-wrap: balance;
}

#root, #__next {
    isolation: isolate;
}

a {
    color: inherit;
    text-decoration: none;
}

/* endregion */


/* region: fonts */

@font-face {
    font-family: "Adelle Sans";
    src: url("assets/fonts/AdelleSans-Regular.ttf");
    font-weight: 400;
}

@font-face {
    font-family: "Adelle Sans";
    src: url("assets/fonts/AdelleSans-Bold.ttf");
    font-weight: 700;
}

@font-face {
    font-family: "Charter";
    src: url("assets/fonts/charter-italic.woff");
}

/* endregion */

body {
    font-family: "Adelle Sans", sans-serif;
}

.button {
    display: inline-block;
    font-weight: 600;
    background-color: #F3F3F3;
    padding: 12px 20px;
    border-radius: 4px;
    transition: background-color 0.2s ease-in-out;
}

.button:hover {
    background-color: #dadada;
}